B2B Collections
Create Dynamic PayID Alias
Create a PayID collection request and return a generated PayID reference.
Error Codes
| Code | Status | Reason | What to do |
|---|---|---|---|
| GN-0000 | 422 | Invalid amount | Provide valid amount. |
| PAYMENT_METHOD_NOT_FOUND | 404 | Merchant payment method is missing | Configure merchant payment method before creating PayID. |
| PAYID_ALREADY_EXISTS | 422 | Generated PayID already exists | Retry request to generate a new PayID. |
| PAYID_CREATE_FAILED | 422 | Upstream PayID creation failed | Retry with valid details or contact support. |
post
/api/v1/collections/payidCreate Dynamic PayID Alias
Create a PayID collection request and return a generated PayID reference.
Error Codes
| Code | Status | Reason | What to do |
|---|---|---|---|
| GN-0000 | 422 | Invalid amount | Provide valid amount. |
| PAYMENT_METHOD_NOT_FOUND | 404 | Merchant payment method is missing | Configure merchant payment method before creating PayID. |
| PAYID_ALREADY_EXISTS | 422 | Generated PayID already exists | Retry request to generate a new PayID. |
| PAYID_CREATE_FAILED | 422 | Upstream PayID creation failed | Retry with valid details or contact support. |
Servers
Staging: https://dev-api.shabaas.com
Production: https://api.shabaas.com
Authentication
ApiKeyAuthheader:
AuthorizationMerchant API key in Authorization header.
Request Body
Requiredapplication/jsonobject
Properties
amountRequirednumbernumberformat: float
merchant_idOptionalstringstring
merchant_display_nameOptionalstringstring
merchant_countryOptionalstringstring
Example
"AU"merchant_categoryOptionalstringstring
Responses
200PayID created
application/jsonobject
Properties
messageOptionalstringstring
Example
"Payid created successfully"dataOptionalobjectobject
Properties
payidOptionalstringstring
amountOptionaloneOf
number
string
statusOptionalstringstring
Example
"CREATED"expires_atOptionalstringstring
Example
"2026-01-02 08:49:46"404Payment method not found
application/jsonobject
Properties
messageRequiredstringstring
Example
"Payee account cannot receive NPP Payments"error_codeRequiredstringstring
Example
"MOV_NPP_PAYMENT_NOT_SUPPORTED"dataRequiredobjectobject
Example
{
"response_time": "2026-04-08T12:28:26.759Z"
}Additional properties are supported; see the endpoint definition for their schema.
422Validation or creation failure
application/jsonobject
Properties
messageRequiredstringstring
Example
"Payee account cannot receive NPP Payments"error_codeRequiredstringstring
Example
"MOV_NPP_PAYMENT_NOT_SUPPORTED"dataRequiredobjectobject
Example
{
"response_time": "2026-04-08T12:28:26.759Z"
}Additional properties are supported; see the endpoint definition for their schema.
Full endpoint OpenAPI definition
{
"openapi": "3.0.3",
"info": {
"title": "ShaBaasPay Public API",
"version": "1.0.0",
"description": "Describes public REST endpoints for authorization, payment agreements, payment initiations,\nrefunds, webhooks, and PayID collection APIs.\n"
},
"servers": [
{
"url": "https://dev-api.shabaas.com",
"description": "Staging"
},
{
"url": "https://api.shabaas.com",
"description": "Production"
}
],
"tags": [
{
"name": "B2B Collections",
"x-displayName": "B2B Collections",
"description": "Create inbound PayID collections, verify PayID status, and Bookkeeper API payout\nwith optional split retain on the business ledger.\n"
}
],
"x-tagGroups": [
{
"name": "SHABAASPAY PUBLIC API",
"tags": [
"API Keys",
"Payment Agreement",
"Payment Initiation",
"Checkout",
"B2B Collections",
"Webhooks"
]
},
{
"name": "Internal",
"tags": [
"Clients"
]
}
],
"security": [
{
"BearerAuth": []
}
],
"paths": {
"/api/v1/collections/payid": {
"post": {
"tags": [
"B2B Collections"
],
"summary": "Create Dynamic PayID Alias",
"description": "Create a PayID collection request and return a generated PayID reference.\n\n### Error Codes\n| Code | Status | Reason | What to do |\n| ---- | ------ | ------ | ---------- |\n| GN-0000 | 422 | Invalid amount | Provide valid amount. |\n| PAYMENT_METHOD_NOT_FOUND | 404 | Merchant payment method is missing | Configure merchant payment method before creating PayID. |\n| PAYID_ALREADY_EXISTS | 422 | Generated PayID already exists | Retry request to generate a new PayID. |\n| PAYID_CREATE_FAILED | 422 | Upstream PayID creation failed | Retry with valid details or contact support. |\n",
"security": [
{
"ApiKeyAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CreatePayIdCollectionRequest"
}
}
}
},
"responses": {
"200": {
"description": "PayID created",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SuccessPayIdCreateResponse"
}
}
}
},
"404": {
"description": "Payment method not found",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
}
},
"422": {
"description": "Validation or creation failure",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
}
}
}
}
}
},
"components": {
"schemas": {
"CreatePayIdCollectionRequest": {
"type": "object",
"required": [
"amount"
],
"properties": {
"amount": {
"type": "number",
"format": "float"
},
"merchant_id": {
"type": "string"
},
"merchant_display_name": {
"type": "string"
},
"merchant_country": {
"type": "string",
"example": "AU"
},
"merchant_category": {
"type": "string"
}
}
},
"SuccessPayIdCreateResponse": {
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "Payid created successfully"
},
"data": {
"type": "object",
"properties": {
"payid": {
"type": "string"
},
"amount": {
"oneOf": [
{
"type": "number"
},
{
"type": "string"
}
]
},
"status": {
"type": "string",
"example": "CREATED"
},
"expires_at": {
"type": "string",
"example": "2026-01-02 08:49:46"
}
}
}
}
},
"ErrorResponse": {
"type": "object",
"required": [
"message",
"error_code",
"data"
],
"properties": {
"message": {
"type": "string",
"example": "Payee account cannot receive NPP Payments"
},
"error_code": {
"type": "string",
"example": "MOV_NPP_PAYMENT_NOT_SUPPORTED"
},
"data": {
"type": "object",
"additionalProperties": true,
"example": {
"response_time": "2026-04-08T12:28:26.759Z"
}
}
}
}
},
"securitySchemes": {
"BearerAuth": {
"type": "http",
"scheme": "bearer",
"bearerFormat": "JWT",
"description": "Bearer token returned by `/api/public/authorization`."
},
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "Merchant API key in `Authorization` header."
}
}
}
}